<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__i2c__macros__callback__events" kind="group">
    <compoundname>group_scb_i2c_macros_callback_events</compoundname>
    <title>I2C Callback Events</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__i2c__macros__callback__events_1gab1b3af0c61cd17e209d3c95aedd89f7b" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_READ_EVENT</name>
        <initializer>(0x00000001UL)</initializer>
        <briefdescription>
<para>Indicates that the slave was addressed and the master wants to read data. </para>        </briefdescription>
        <detaileddescription>
<para>This event can be used to configure the slave Read buffer. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="845" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="845" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1gacbc6de23c9ce6b3b01746244e27c8bed" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_WRITE_EVENT</name>
        <initializer>(0x00000002UL)</initializer>
        <briefdescription>
<para>Indicates that the slave was addressed and the master wants to write data. </para>        </briefdescription>
        <detaileddescription>
<para>This event can be used to configure the slave Write buffer. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="851" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="851" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1gabe3e8539e5a47b1a419cd07a5aa1531e" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_RD_IN_FIFO_EVENT</name>
        <initializer>(0x00000004UL)</initializer>
        <briefdescription>
<para>All slave data from the configured Read buffer has been loaded into the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>The content of the Read buffer can be modified. Applicable only if the TX FIFO is used. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="858" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="858" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1gada6c481df3423c3c0d7db05fd626534a" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_RD_BUF_EMPTY_EVENT</name>
        <initializer>(0x00000008UL)</initializer>
        <briefdescription>
<para>The master has read all data out of the configured Read buffer. </para>        </briefdescription>
        <detaileddescription>
<para>This event can be used to configure the next Read buffer. If the buffer remains empty, the <ref kindref="member" refid="group__group__scb__i2c__macros_1gad56a26de596ed39516b91adc50db4bf9">CY_SCB_I2C_DEFAULT_TX</ref> bytes are returned to the master. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="865" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="865" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1gae44345d38014821cc5d5c918dd074324" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_RD_CMPLT_EVENT</name>
        <initializer>(0x00000010UL)</initializer>
        <briefdescription>
<para>Indicates the master completed reading from the slave (set by the master NAK or Stop) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="871" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="871" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1gaa509ff3cd20d1b1d31e3c22e7c28871f" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_WR_CMPLT_EVENT</name>
        <initializer>(0x00000020UL)</initializer>
        <briefdescription>
<para>Indicates the master completed writing to the slave (set by the master Stop or Restart) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="877" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="877" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1ga88e999437b51f24bdaf50c6dac83d81c" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_SLAVE_ERR_EVENT</name>
        <initializer>(0x00000040UL)</initializer>
        <briefdescription>
<para>Indicates the I2C hardware detected an error. </para>        </briefdescription>
        <detaileddescription>
<para>Check <ref kindref="member" refid="group__group__scb__i2c__slave__functions_1gab3e1c474d6a5c7c5547ea08aa5d59e22">Cy_SCB_I2C_SlaveGetStatus</ref> to determine the source of the error. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="883" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="883" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1gaea716088b093bc6decbdbcb775462466" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_WR_IN_FIFO_EVENT</name>
        <initializer>(0x00010000UL)</initializer>
        <briefdescription>
<para>All data specified by <ref kindref="member" refid="group__group__scb__i2c__master__high__level__functions_1ga91f7a32d2a20cf3deebe01cef8d9d000">Cy_SCB_I2C_MasterWrite</ref> has been loaded into the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
<para>The content of the master write buffer can be modified. Applicable only if the TX FIFO is used. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="890" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="890" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1gaf02c69c9cef5ecd87100df9d8ec9ea0f" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_WR_CMPLT_EVENT</name>
        <initializer>(0x00020000UL)</initializer>
        <briefdescription>
<para>The master write started by <ref kindref="member" refid="group__group__scb__i2c__master__high__level__functions_1ga91f7a32d2a20cf3deebe01cef8d9d000">Cy_SCB_I2C_MasterWrite</ref> is complete. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="893" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="893" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1ga692e9cdd3ec1afa5950905558dc915d3" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_RD_CMPLT_EVENT</name>
        <initializer>(0x00040000UL)</initializer>
        <briefdescription>
<para>The master read started by <ref kindref="member" refid="group__group__scb__i2c__master__high__level__functions_1ga83185adeefa83640ac09852c9d6cf426">Cy_SCB_I2C_MasterRead</ref> is complete. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="896" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="896" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__macros__callback__events_1gad25268ddc924bd9ab5b72cbe4ddd9df8" kind="define" prot="public" static="no">
        <name>CY_SCB_I2C_MASTER_ERR_EVENT</name>
        <initializer>(0x00080000UL)</initializer>
        <briefdescription>
<para>Indicates the I2C hardware has detected an error. </para>        </briefdescription>
        <detaileddescription>
<para>It occurs together with <ref kindref="member" refid="group__group__scb__i2c__macros__callback__events_1ga692e9cdd3ec1afa5950905558dc915d3">CY_SCB_I2C_MASTER_RD_CMPLT_EVENT</ref> or <ref kindref="member" refid="group__group__scb__i2c__macros__callback__events_1gaf02c69c9cef5ecd87100df9d8ec9ea0f">CY_SCB_I2C_MASTER_WR_CMPLT_EVENT</ref> depends on the direction of the transfer. Check <ref kindref="member" refid="group__group__scb__i2c__master__high__level__functions_1ga652a3b9da6db2424fed62c28c6347ef3">Cy_SCB_I2C_MasterGetStatus</ref> to determine the source of the error. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="904" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="904" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check I2C events passed by <ref kindref="member" refid="group__group__scb__i2c__data__structures_1ga5d6df20d77d2690048aaef8fe9e57e2e">cy_cb_scb_i2c_handle_events_t</ref> callback. </para>    </briefdescription>
    <detaileddescription>
<para>Each event is encoded in a separate bit, and therefore it is possible to notify about multiple events. </para>    </detaileddescription>
  </compounddef>
</doxygen>